#!/bin/sh

if [ -z "${JAVA}" ] ; then
JAVA=java
fi
LIB=./lib

J3DCORE=${LIB}/j3dcore.jar
J3DUTILS=${LIB}/j3dutils.jar
VECMATH=${LIB}/vecmath.jar
CLASSICS=${LIB}/classics-1.0.jar
GEEMAC=${LIB}/geeMac-1.3.jar
FISSURESUTIL=${LIB}/fissuresUtil-1.0.11.jar
FISSURESIMPL=${LIB}/fissuresImpl-1.1.8.jar
FISSURESIDL=${LIB}/fissuresIDL-1.0.jar
SEEDCODEC=${LIB}/SeedCodec-1.0beta2.jar
TAUP=${LIB}/TauP-1.1.5beta.jar
JCALENDAR=${LIB}/jcalendar-0.76.jar
HSQLDB=${LIB}/hsqldb-1.7.2.jar
LOG4J=${LIB}/log4j-1.2.8.jar
OPENMAP=${LIB}/openmap-4.6.1.jar
VMAP_PO_THINNED=${LIB}/vmap_po_thinned.jar
ITEXT=${LIB}/itext-0.99.jar
MULTIVALENT=${LIB}/Multivalent-R7_USC2.jar
REGISTRY=${LIB}/registry-1.1.jar
REGISTRY_DLL=${LIB}/registry-dll-1.1.jar
ISTI_UTIL=${LIB}/isti.util-1.0.1USC.jar
ISTI_UTIL_TOPLEVEL=${LIB}/isti.util.toplevel-1.0USC.jar
JDOM=${LIB}/jdom-b9.jar
JACORB=${LIB}/JacORB-2.1_USC1.jar
AVALON_FRAMEWORK=${LIB}/avalon-framework-4.1.5.jar
CONCURRENT=${LIB}/concurrent-1.3.2.jar
LOGKIT=${LIB}/logkit-1.2.jar
JAX_QNAME=${LIB}/jax-qname-1.0.jar
JSR173_API=${LIB}/jsr173_api-1.0.jar
JSR173_RI=${LIB}/jsr173_ri-1.0.jar
NAMESPACE=${LIB}/namespace-1.0.jar
GEE=${LIB}/gee-2.1.1.jar

CLASSPATH=${J3DCORE}:${J3DUTILS}:${VECMATH}:${CLASSICS}:${GEEMAC}:${FISSURESUTIL}:${FISSURESIMPL}:${FISSURESIDL}:${SEEDCODEC}:${TAUP}:${JCALENDAR}:${HSQLDB}:${LOG4J}:${OPENMAP}:${VMAP_PO_THINNED}:${ITEXT}:${MULTIVALENT}:${REGISTRY}:${REGISTRY_DLL}:${ISTI_UTIL}:${ISTI_UTIL_TOPLEVEL}:${JDOM}:${JACORB}:${AVALON_FRAMEWORK}:${CONCURRENT}:${LOGKIT}:${JAX_QNAME}:${JSR173_API}:${JSR173_RI}:${NAMESPACE}:${GEE}


${JAVA} -Xmx128m \
-Djacorb.connection.client.pending_reply_timeout=60000 \
-Dorg.omg.CORBA.ORBSingletonClass=org.jacorb.orb.ORBSingleton \
-Dorg.omg.CORBA.ORBClass=org.jacorb.orb.ORB \
-Djava.endorsed.dirs=${LIB}/endorsed \
-cp ${CLASSPATH} edu.sc.seis.gee.Start $*